Успешный запуск ZENLIX на PHP 7


Мы закончили успешное тестирование приложения версии 3.0.1 на новой версии PHP 7. Это стало возможным благодаря используемому фреймворку Laravel 5.1.

В качестве ОС, мы использовали Ubuntu 14.04, но мы так же хотим обратить внимание, что с 21.04.2016 доступна версия Ubuntu 16.04, которая по умолчанию будет содержать PHP7.

Мы решили так же протестировать работу системы без использования Apache и панели VESTA.

Ниже мы приводим краткую инструкцию по установке необходимого ПО, для использования системы:

sudo apt-get update
sudo apt-get install build-essential
sudo apt-get install nginx
sudo apt-get install mysql-server
sudo mysql_install_db
sudo mysql_secure_installation
sudo add-apt-repository ppa:ondrej/php
sudo apt-get install -y language-pack-en-base
sudo LC_ALL=en_US.UTF-8 add-apt-repository ppa:ondrej/php
sudo apt-get install php7.0
sudo apt-get install php7.0-mysql php7.0-fpm mcrypt php7.0-mcrypt php7.0-zip php7.0-curl php7.0-gd php7.0-imap php7.0-ldap php7.0-mbstring
Именно эти библиотеки необходимы для использования ZENLIX v.3.x на PHP7.

php7,php-fpm,nginx